VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::authentication::ComponentStub Class Reference

Remote stub implementation of the Component API service. More...

Inherits vmware::vapi::metadata::authentication::Component.

List of all members.

## Public Member Functions
| ComponentStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
global::System.Collections.Generic.List < string > | List ()
| Returns the identifiers for the component elements that have authentication information.
global::System.Collections.Generic.List < string > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers for the component elements that have authentication information.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync ()
| Returns the identifiers for the component elements that have authentication information.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers for the component elements that have authentication information.
vmware.vapi.metadata.authentication.ComponentData | Get (string componentId)
| Retrieves authentication information about the component element corresponding to componentId .
vmware.vapi.metadata.authentication.ComponentData | Get (string componentId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves authentication information about the component element corresponding to componentId .
global::System.Threading.Tasks.Task < vmware.vapi.metadata.authentication.ComponentData > | GetAsync (string componentId)
| Retrieves authentication information about the component element corresponding to componentId .
global::System.Threading.Tasks.Task < vmware.vapi.metadata.authentication.ComponentData > | GetAsync (string componentId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves authentication information about the component element corresponding to componentId .
string | Fingerprint (string componentId)
| Retrieves the fingerprint computed from the authentication metadata of the component element corresponding to componentId .
string | Fingerprint (string componentId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves the fingerprint computed from the authentication metadata of the component element corresponding to componentId .
global::System.Threading.Tasks.Task < string > | FingerprintAsync (string componentId)
| Retrieves the fingerprint computed from the authentication metadata of the component element corresponding to componentId .
global::System.Threading.Tasks.Task < string > | FingerprintAsync (string componentId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves the fingerprint computed from the authentication metadata of the component element corresponding to componentId .

## Detailed Description

Remote stub implementation of the Component API service.

## Constructor & Destructor Documentation

vmware::vapi::metadata::authentication::ComponentStub::ComponentStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

string vmware::vapi::metadata::authentication::ComponentStub::Fingerprint | ( | string | componentId | ) | `[inline]`

Retrieves the fingerprint computed from the authentication metadata of the component element corresponding to componentId .

The fingerprint provides clients an efficient way to check if the metadata for a particular component has been modified on the server. The client can do this by comparing the result of this operation with the fingerprint returned in the result of Component.Get .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the component element associated with componentId does not have any authentication information.

Parameters:

  componentId | Identifier of the component element. The parameter must be an identifier for the resource type: `com.vmware.vapi.component` .

Returns:
  The fingerprint computed from the authentication metadata of the component.

Implements vmware::vapi::metadata::authentication::Component.

string vmware::vapi::metadata::authentication::ComponentStub::Fingerprint | ( | string | componentId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Retrieves the fingerprint computed from the authentication metadata of the component element corresponding to componentId .

The fingerprint provides clients an efficient way to check if the metadata for a particular component has been modified on the server. The client can do this by comparing the result of this operation with the fingerprint returned in the result of Component.Get .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the component element associated with componentId does not have any authentication information.

Parameters:

  componentId | Identifier of the component element. The parameter must be an identifier for the resource type: `com.vmware.vapi.component` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The fingerprint computed from the authentication metadata of the component.

Implements vmware::vapi::metadata::authentication::Component.

global::System.Threading.Tasks.Task<string> vmware::vapi::metadata::authentication::ComponentStub::FingerprintAsync | ( | string | componentId | ) | `[inline]`

Retrieves the fingerprint computed from the authentication metadata of the component element corresponding to componentId .

The fingerprint provides clients an efficient way to check if the metadata for a particular component has been modified on the server. The client can do this by comparing the result of this operation with the fingerprint returned in the result of Component.Get .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the component element associated with componentId does not have any authentication information.

Parameters:

  componentId | Identifier of the component element. The parameter must be an identifier for the resource type: `com.vmware.vapi.component` .

Returns:
  The fingerprint computed from the authentication metadata of the component.

Implements vmware::vapi::metadata::authentication::Component.

global::System.Threading.Tasks.Task<string> vmware::vapi::metadata::authentication::ComponentStub::FingerprintAsync | ( | string | componentId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Retrieves the fingerprint computed from the authentication metadata of the component element corresponding to componentId .

The fingerprint provides clients an efficient way to check if the metadata for a particular component has been modified on the server. The client can do this by comparing the result of this operation with the fingerprint returned in the result of Component.Get .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the component element associated with componentId does not have any authentication information.

Parameters:

  componentId | Identifier of the component element. The parameter must be an identifier for the resource type: `com.vmware.vapi.component` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The fingerprint computed from the authentication metadata of the component.

Implements vmware::vapi::metadata::authentication::Component.

vmware.vapi.metadata.authentication.ComponentData vmware::vapi::metadata::authentication::ComponentStub::Get | ( | string | componentId | ) | `[inline]`

Retrieves authentication information about the component element corresponding to componentId .

The ComponentData contains the authentication information about the component element and it's fingerprint. It contains information about all the package elements that belong to this component element.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the component element associated with componentId does not have any authentication information.

Parameters:

  componentId | Identifier of the component element. The parameter must be an identifier for the resource type: `com.vmware.vapi.component` .

Returns:
  The ComponentData instance that corresponds to componentId

Implements vmware::vapi::metadata::authentication::Component.

vmware.vapi.metadata.authentication.ComponentData vmware::vapi::metadata::authentication::ComponentStub::Get | ( | string | componentId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Retrieves authentication information about the component element corresponding to componentId .

The ComponentData contains the authentication information about the component element and it's fingerprint. It contains information about all the package elements that belong to this component element.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the component element associated with componentId does not have any authentication information.

Parameters:

  componentId | Identifier of the component element. The parameter must be an identifier for the resource type: `com.vmware.vapi.component` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The ComponentData instance that corresponds to componentId

Implements vmware::vapi::metadata::authentication::Component.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.authentication.ComponentData> vmware::vapi::metadata::authentication::ComponentStub::GetAsync | ( | string | componentId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Retrieves authentication information about the component element corresponding to componentId .

The ComponentData contains the authentication information about the component element and it's fingerprint. It contains information about all the package elements that belong to this component element.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the component element associated with componentId does not have any authentication information.

Parameters:

  componentId | Identifier of the component element. The parameter must be an identifier for the resource type: `com.vmware.vapi.component` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The ComponentData instance that corresponds to componentId

Implements vmware::vapi::metadata::authentication::Component.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.authentication.ComponentData> vmware::vapi::metadata::authentication::ComponentStub::GetAsync | ( | string | componentId | ) | `[inline]`

Retrieves authentication information about the component element corresponding to componentId .

The ComponentData contains the authentication information about the component element and it's fingerprint. It contains information about all the package elements that belong to this component element.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the component element associated with componentId does not have any authentication information.

Parameters:

  componentId | Identifier of the component element. The parameter must be an identifier for the resource type: `com.vmware.vapi.component` .

Returns:
  The ComponentData instance that corresponds to componentId

Implements vmware::vapi::metadata::authentication::Component.

global::System.Collections.Generic.List<string> vmware::vapi::metadata::authentication::ComponentStub::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the identifiers for the component elements that have authentication information.

Returns:
  The list of identifiers for the component elements that have authentication information. The result will contain identifiers for the resource type: `com.vmware.vapi.component` .

Implements vmware::vapi::metadata::authentication::Component.

global::System.Collections.Generic.List<string> vmware::vapi::metadata::authentication::ComponentStub::List | ( |  | ) | `[inline]`

Returns the identifiers for the component elements that have authentication information.

Returns:
  The list of identifiers for the component elements that have authentication information. The result will contain identifiers for the resource type: `com.vmware.vapi.component` .

Implements vmware::vapi::metadata::authentication::Component.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::vapi::metadata::authentication::ComponentStub::ListAsync | ( |  | ) | `[inline]`

Returns the identifiers for the component elements that have authentication information.

Returns:
  The list of identifiers for the component elements that have authentication information. The result will contain identifiers for the resource type: `com.vmware.vapi.component` .

Implements vmware::vapi::metadata::authentication::Component.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::vapi::metadata::authentication::ComponentStub::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the identifiers for the component elements that have authentication information.

Returns:
  The list of identifiers for the component elements that have authentication information. The result will contain identifiers for the resource type: `com.vmware.vapi.component` .

Implements vmware::vapi::metadata::authentication::Component.

The documentation for this class was generated from the following file:

- authentication/ComponentStub.cs